org.apache.ignite.internal.processors.odbc

## Class ClientListenerMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerMetrics

    public class ClientListenerMetrics
    extends Object

Client listener metrics.

### Field Summary

Fields
`static String` `AFF_KEY_HITS`
`static String` `AFF_KEY_MISSES`
`static String` `AFF_QRY_HITS`
`static String` `AFF_QRY_MISSES`
`static String` `METRIC_ACEPTED` Number of successfully established sessions.
`static String` `METRIC_REJECTED_AUTHENTICATION` Handshakes rejected by authentication metric label.
`static String` `METRIC_REJECTED_TIMEOUT` Handshakes rejected by timeout metric label.
`static String` `METRIC_REJECTED_TOTAL` Total number of rejected handshakes.

### Constructor Summary

Constructors
Constructor and Description
`ClientListenerMetrics(MetricRegistry mreg)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `clientTypeLabel(byte clientType)` Get label for a client.
`void` `onAffinityKeyHit()`
`void` `onAffinityKeyMiss()`
`void` `onAffinityQryHit()`
`void` `onAffinityQryMiss()`
`void` `onFailedAuth()` Callback invoked when authentication is failed.
`void` `onGeneralReject()` Callback invoked when handshake is rejected.
`void` `onHandshakeAccept(byte clientType)` Callback invoked when handshake is accepted.
`void` `onHandshakeTimeout()` Callback invoked when handshake is timed out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### METRIC_REJECTED_TIMEOUT

    public static final String METRIC_REJECTED_TIMEOUT

Handshakes rejected by timeout metric label.

See Also:
  Constant Field Values

#### METRIC_REJECTED_AUTHENTICATION

    public static final String METRIC_REJECTED_AUTHENTICATION

Handshakes rejected by authentication metric label.

See Also:
  Constant Field Values

#### METRIC_REJECTED_TOTAL

    public static final String METRIC_REJECTED_TOTAL

Total number of rejected handshakes.

See Also:
  Constant Field Values

#### METRIC_ACEPTED

    public static final String METRIC_ACEPTED

Number of successfully established sessions.

See Also:
  Constant Field Values

#### AFF_KEY_HITS

    public static final String AFF_KEY_HITS

See Also:
  Constant Field Values

#### AFF_KEY_MISSES

    public static final String AFF_KEY_MISSES

See Also:
  Constant Field Values

#### AFF_QRY_HITS

    public static final String AFF_QRY_HITS

See Also:
  Constant Field Values

#### AFF_QRY_MISSES

    public static final String AFF_QRY_MISSES

See Also:
  Constant Field Values

### Constructor Detail

#### ClientListenerMetrics

    public ClientListenerMetrics(MetricRegistry mreg)

Parameters:
  `mreg` - Metrics registry.

### Method Detail

#### onHandshakeTimeout

    public void onHandshakeTimeout()

Callback invoked when handshake is timed out.

#### onFailedAuth

    public void onFailedAuth()

Callback invoked when authentication is failed.

#### onGeneralReject

    public void onGeneralReject()

Callback invoked when handshake is rejected.

#### onHandshakeAccept

    public void onHandshakeAccept(byte clientType)

Callback invoked when handshake is accepted.

Parameters:
  `clientType` - Client type.

#### onAffinityKeyHit

    public void onAffinityKeyHit()

#### onAffinityKeyMiss

    public void onAffinityKeyMiss()

#### onAffinityQryHit

    public void onAffinityQryHit()

#### onAffinityQryMiss

    public void onAffinityQryMiss()

#### clientTypeLabel

    public static String clientTypeLabel(byte clientType)

Get label for a client.

Parameters:
  `clientType` - Client type.
Returns:
  Label for a client.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023